Bug 497752 - Insane height of pictures in the resulting RTF
Insane height of pictures in the resulting RTF
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: latex2rtf (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 17:10 EDT by Michal Schmidt
Modified: 2009-05-08 23:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.9.19-8.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:25:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch - fix pictures on x86_64 (1.80 KB, patch)
2009-04-26 17:10 EDT, Michal Schmidt
no flags Details | Diff

  None (edit)
Description Michal Schmidt 2009-04-26 17:10:14 EDT
Created attachment 341372 [details]
patch - fix pictures on x86_64

Description of problem:
I tried to convert a LaTeX document with several images and equations to RTF.
In the resulting RTF all images (including the rendered equations) were stretched vertically by a large factor.

Version-Release number of selected component (if applicable):
latex2rtf-1.9.19-5.fc9.x86_64
Also reproduced on Rawhide with:
latex2rtf-1.9.19-5.fc11.x86_64

How reproducible:
always on x86_64, never on i386

Steps to Reproduce:
1. Have a latex document with an equation and/or image.
2. latex2rtf -D150 -M12 mydoc.tex
3. See the result mydoc.rtf in OpenOffice.org Writer.
  
Actual results:
All the images and equations in the document are huge.

Expected results:
The images should have normal size.

Additional info:
It's a bug in reading of PNG headers in graphics.c. I wrote a patch and posted it to upstream "Patches" tracker at SF.net:
https://sourceforge.net/tracker/?func=detail&aid=2781794&group_id=22654&atid=375739
I don't know how active upstream is nowadays. You may or you may not want to include the patch in the Fedora package.
Comment 1 Fedora Update System 2009-04-27 11:36:01 EDT
latex2rtf-1.9.19-8.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/latex2rtf-1.9.19-8.fc9
Comment 2 Fedora Update System 2009-04-27 11:36:49 EDT
latex2rtf-1.9.19-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/latex2rtf-1.9.19-8.fc10
Comment 3 Fedora Update System 2009-04-27 15:42:11 EDT
latex2rtf-1.9.19-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/latex2rtf-1.9.19-8.fc11
Comment 4 Fedora Update System 2009-04-27 17:22:32 EDT
latex2rtf-1.9.19-8.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update latex2rtf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3933
Comment 5 Fedora Update System 2009-04-27 17:33:32 EDT
latex2rtf-1.9.19-8.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update latex2rtf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4004
Comment 6 Fedora Update System 2009-05-02 12:25:05 EDT
latex2rtf-1.9.19-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-05-02 12:33:44 EDT
latex2rtf-1.9.19-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-08 23:58:09 EDT
latex2rtf-1.9.19-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.